{
  "lexicon": 1,
  "id": "space.polymodel.graph.list",
  "defs": {
    "main": {
      "type": "record",
      "description": "A list of things (minimal metadata).",
      "key": "tid",
      "record": {
        "type": "object",
        "required": [
          "name",
          "createdAt"
        ],
        "properties": {
          "avatar": {
            "type": "blob",
            "accept": [
              "image/png",
              "image/jpeg"
            ],
            "maxSize": 1048576
          },
          "createdAt": {
            "type": "string",
            "format": "datetime"
          },
          "description": {
            "type": "string",
            "maxLength": 2000
          },
          "name": {
            "type": "string",
            "maxLength": 256,
            "maxGraphemes": 64
          },
          "purpose": {
            "type": "string"
          }
        }
      }
    }
  }
}